﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;

    public partial class Tb_Permission
    {
        public int Id { get; set; }
        public Nullable<int> RollId { get; set; }
        public Nullable<int> SecurityId { get; set; }
        public Nullable<bool> _IsAdd { get; set; }
        public bool IsAdd
        {
            get
            {
                if (_IsAdd == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {

                _IsAdd = value;
            }
        }

        public Nullable<bool> _IsEdit { get; set; }

        public bool IsEdit
        {
            get
            {
                if (_IsEdit == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {

                _IsEdit = value;
            }
        }


        public Nullable<bool> _IsView { get; set; }

        public bool IsView
        {
            get
            {
                if (_IsView == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _IsView = value;
            }
        }


        public Nullable<bool> _IsDelete { get; set; }

        public bool IsDelete
        {
            get
            {
                if (_IsDelete == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _IsDelete = value;
            }
        }
       



        public virtual MaRole MaRole { get; set; }
        public virtual MaSecurity MaSecurity { get; set; }
    }
}
